/* General */
body {
  font-family: Arial, sans-serif;
  scroll-behavior: smooth;
  background: #1a1a1a;
}
/*
/* Asegura que el logo esté al centro en pantallas grandes */
.navbar-brand {
  /* position: absolute;
  left: 50%;
  transform: translateX(-50%);*/
}

.bg_nav {
  background-color: rgb(0 0 0 / 55%) !important;
  backdrop-filter: blur(10px);
}

.nav-item {
  font-family: "Antonio", sans-serif;
  font-weight: 100;
  padding-top: 20px;
  padding-bottom: 20px;
  padding-left: 60px;
  padding-right: 60px;
}

.nav-link:hover {
  color: #ff7300;
}

/* En pantallas pequeñas, deja que el logo se alinee normal */
/* movil */
@media (max-width: 360px) {
  .navbar-nav-left {
    margin-right: auto;
  }
  .navbar-nav-right {
    margin-left: auto;
  }
  .navbar-brand {
    /*position: absolute;
    left: 50%;
    transform: translateX(-50%);*/
  }

  .nav-item {
    font-family: "Antonio", sans-serif;
    font-weight: 100;
    padding-top: 1px;
    padding-bottom: 1px;
    padding-left: 1px;
    padding-right: 1px;
  }
}

/* Hero */
.hero {
  position: relative;
  background: url("../img/header1.jpg") no-repeat center center/cover;
  min-height: 110vh;
}

.hero .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7); /* Negro con 50% opacidad */
  z-index: 1;
}

.hero .container {
  position: relative;
  z-index: 2; /* Para que el texto quede arriba del overlay */
}

.hero-text {
  max-width: 600px; /* controla el ancho del bloque de texto */
  text-align: left; /* asegura que siempre esté a la izq */
}

.header-text {
  font-family: "Anton", sans-serif;
  font-size: 60px;
}

.header-text-p {
  font-family: "Montserrat", sans-serif;
  font-size: 20px;
}

@media (max-width: 360px) {
  .header-text {
    font-family: "Anton", sans-serif;
    font-size: 40px;
  }

  .header-text-p {
    font-family: "Montserrat", sans-serif;
    font-size: 20px;
  }
}

/* Secciones */
section {
  padding-top: 60px;
  padding-bottom: 60px;
  background: #1a1a1a;
}

/* Botón naranja */
.btn-warning {
  background-color: #ff6600;
  border: none;
  color: #fff;
  font-weight: bold;
  font-family: "Anton";
  border-radius: 0px !important;
  padding: 11px;
  width: 200px;
}
.btn-warning:hover {
  background-color: #e65c00;
}

/* DESCANSO VISUAL corto*/
.descanso-texto {
  background-color: #f8f9fa; /* gris claro de descanso visual */
  width: 80%;
  margin: auto;
  padding: 0px;
}

.descanso-texto h2 {
  padding: 50px;
  line-height: 1.3;
  font-family: "Anton", sans-serif;
  font-size: 50px;
}

.descanso-texto p {
  font-size: 1.1rem;
  color: #555;
}

@media (max-width: 360px) {
  /* DESCANSO VISUAL corto*/
  .descanso-texto {
    background-color: #f8f9fa; /* gris claro de descanso visual */
    width: 80%;
    margin: auto;
    padding: 0px;
  }

  .descanso-texto h2 {
    padding: 20px;
    line-height: 1.3;
    font-family: "Anton", sans-serif;
    font-size: 24px;
  }

  .descanso-texto p {
    font-size: 1.1rem;
    color: #555;
  }
}

/* DESCANSO VISUA fullL*/
.descanso-visual2-img {
  position: relative;
  background: url("../img/bg-grua4.jpg") no-repeat center/cover;
  padding: 100px 20px;
}

.descanso-visual2-img .overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.7);
}

.descanso-visual2-img .container {
  position: relative;
  z-index: 2;
}

/* DESCANSO VISUA fullL*/
.descanso-visual-img {
  position: relative;
  background: url("../img/bg-grua3.jpg") no-repeat center/cover;
  padding: 100px 20px;
}

.descanso-visual-img .overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.7);
}

.descanso-visual-img .container {
  position: relative;
  z-index: 2;
}

.descanso_text {
  font-family: "Anton", sans-serif;
  font-size: 2rem;
}

/* ¿quienes somos?*/
.mas-maquinaria {
  padding-top: 140px; /* aire arriba */
  padding-bottom: 140px; /* aire abajo */
  background-color: #1a1a1a; /* ejemplo: si quieres contraste */
}

.Somos_text {
  font-family: "Anton", sans-serif;
  font-size: 45px;
}

.Somos-text-p {
  font-family: "Montserrat" sans-serif;
  font-size: 20px;
  color: #959595;
}

.Somos_logo {
  width: 500px;
}

@media (max-width: 360px) {
  .mas-maquinaria {
    padding-top: 60px;
    padding-bottom: 60px;
  }
  .Somos_text {
    font-family: "Anton", sans-serif;
    font-size: 40px;
  }

  .Somos-text-p {
    font-family: "Montserrat", sans-serif;
    font-size: 20px;
    color: #959595;
  }

  .Somos_logo {
    width: 100%;
  }
}

.item {
  background: #f8f9fa;
  border-radius: 12px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
}

.item_espacio {
  padding: 5.5rem !important;
}

.item_espacio:hover {
  background: #2a2a2a !important;
  color: #fff !important;
}

#nosotros .owl-stage {
  display: flex;
}
#nosotros .owl-item {
  display: flex;
  margin-right: 0px;
}

.owl-item {
  margin-right: 0px;
}

.icon-img {
  width: 80px !important;
  margin: auto;
  text-align: center;
  margin-bottom: 20px;
}

.text-warning {
  font-family: "Anton", sans-serif;
  font-size: 2rem;
  color: #ff7300 !important;
}

.text-warning-p {
  font-family: "Montserrat", sans-serif;
  font-size: 1.1rem;
  color: #959595;
}

.section-title .small {
  font-size: 1rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  color: #fff;
  font-family: "Anton", sans-serif;
}

.section-title .big {
  font-size: 4rem;
  font-weight: 700;
  text-transform: uppercase;
  color: #ff7300;
  font-family: "Anton", sans-serif;
}

#nosotros .owl-dot .owl-dot.active span {
  background: #ff9800 !important; /* naranja */
  opacity: 1;
  transform: scale(1.2);
}

@media (max-width: 360px) {
  /* Personalización dots */
  /* ==== Dots del carrusel de "Nosotros" ==== */
  #nosotros .owl-dots {
    text-align: center;
    margin-top: 20px;
  }

  /* Botones base */
  #nosotros .owl-dot {
    display: inline-block;
    margin: 0 6px;
  }

  /* Esfera base */
  #nosotros .owl-dot span {
    width: 12px;
    height: 12px;
    background: #fff;
    opacity: 0.4;
    border-radius: 50%;
    display: block;
    transition: all 0.3s ease;
  }

  /* Activo */
  #nosotros .owl-dot.active span {
    background: #ff9800; /* naranja */
    opacity: 1;
    transform: scale(1.3);
  }

  /* Hover opcional */
  #nosotros .owl-dot:hover span {
    opacity: 0.8;
  }

  .icon-img {
    width: 80px !important;
    margin: auto;
    text-align: center;
    margin-bottom: 20px;
  }

  .item_espacio {
    padding: 3.5rem !important;
  }

  .text-warning {
    font-family: "Anton", sans-serif;
    font-size: 2rem;
    color: #ff7300 !important;
  }

  .text-warning-p {
    font-family: "Montserrat", sans-serif;
    font-size: 1rem;
    color: #959595;
  }

  .section-title .small {
    font-size: 2rem;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: #fff;
    font-family: "Anton", sans-serif;
  }

  .section-title .big {
    font-size: 3rem;
    font-weight: 700;
    text-transform: uppercase;
    color: #ff7300;
    font-family: "Anton", sans-serif;
  }
}

.ofrecemos {
  margin-top: 220px;
  margin-bottom: 200px;
}

.ofrecemos-title {
  font-family: "Anton", sans-serif;
  font-size: 1.5rem;
}

#ofrecemos h2 {
  font-size: 6rem; /* tamaño grande tipo hero */
  line-height: 1.2;
}

@media (max-width: 360px) {
  #ofrecemos h2 {
    font-size: 4rem; /* tamaño grande tipo hero */
    line-height: 1.2;
  }
}

#ofrecemos p {
  font-size: 15px; /* tamaño grande tipo hero */
  font-family: "Montserrat", sans-serif;
  color: #959595;
}

#ofrecemos .btn-warning {
  background-color: #ff6600; /* naranja fuerte */
  border: none;
  color: #fff;
  padding: 12px 32px;
}

#ofrecemos .btn-warning:hover {
  background-color: #e65c00;
}

#descanso h2 {
  font-family: "Anton", sans-serif;
  font-size: 2rem;
  width: 50%;
  margin: auto;
}

@media (max-width: 360px) {
  #descanso h2 {
    font-family: "Anton", sans-serif;
    font-size: 25px;
    width: 100%;
    margin: auto;
  }
}

#descanso img {
  width: 100px;
}

section {
  scroll-margin-top: 100px; /* ajusta según la altura de tu navbar */
}

.space_section {
  margin-top: 60px;
  margin-bottom: 60px;
}


.space_section2 {
  padding-top: 90px;
  padding-bottom: 130px;
}

@media (max-width: 360px) {
  .space_section {
    margin-top: 60px;
    margin-bottom: 60px;
  }
}

#Por_que img {
  padding: 30px;
  background-color: #e65c00;
  border-radius: 150px;
  width: 170px;
  margin-bottom: 40px;
}

#Por_que h5 {
  font-family: "Anton", sans-serif;
  font-size: 2rem;
  width: 60%;
  margin: auto;
  color: #fff !important;
}

#Por_que p {
  font-size: 17px; /* tamaño grande tipo hero */
  font-family: "Montserrat", sans-serif;
  color: #959595;
}

/* Cards */
.card {
  border-radius: 10px;
  transition: all 0.3s ease-in-out;
}
.card:hover {
  transform: translateY(-5px);
  box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.3);
}

#logos {
  overflow: hidden;
  position: relative;
}

.logos-slider {
  display: flex;
  align-items: center;
  width: 100%;
  white-space: nowrap;
}

.logos-track {
  display: inline-flex;
  animation: scroll 25s linear infinite;
}

.logos-track img {
  height: 60px;
  margin: 0 60px;
  opacity: 0.3;
  transition: opacity 0.3s ease;
}

.logos-track img:hover {
  opacity: 0.8;
}

/* Animación de desplazamiento continuo */
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

.contacto-section {
  background-color: #111; /* Fondo negro */
}

#contacto h2 {
  font-family: "Anton", sans-serif;
}

.contact-form .form-control {
  background-color: #333; /* Gris oscuro */
  border: none;
  color: #fff;
  padding: 15px;
  font-weight: 600;
  text-transform: uppercase;
  font-family: "Montserrat", sans-serif;
}

.contact-form .form-control::placeholder {
  color: #888;
  font-weight: 700;
}

.contact-form .form-control:focus {
  background-color: #444;
  outline: none;
  box-shadow: none;
}

.btn-warning {
  background-color: #ff7a00; /* Naranja intenso */
  border: none;
}

.btn-warning:hover {
  background-color: #e86e00;
  color: #fff;
}




#catalogo {
  background: #131212;
  text-align: center
}

#catalogo h2 {
  color: #333;
  letter-spacing: 1px;
}

#catalogo h5{
  color: #fff;
  font-size: 26px;
  font-family: "Anton", sans-serif;
  margin-bottom: 40px;
  margin-top: 30px
}



.catalogo-card {
  transition: all 0.3s ease-in-out;
  border-radius: 15px;
  overflow: hidden;
}

.catalogo-card img {
  height: 370px;
  object-fit: cover;
  transition: transform 0.4s ease;
}


@media (max-width: 360px) {
  .catalogo-card img {
  height: 370px;
  object-fit: cover;
  transition: transform 0.4s ease;
}
}

.catalogo-card:hover img {
  transform: scale(1.05);
}

.catalogo-card:hover {
  transform: translateY(-5px);
  background: #000;
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.15);
}

.catalogo-card .card-body:hover{
  background:#e86e00
  
}

.catalogo-card .card-body {
  background: #000;
  padding: 1.5rem;
  color: #fff;
}

@media (max-width: 767px) {
  #catalogo .card-img-top {
    height: 380px;
  }
}





.footer-section {
  background-color: #000; /* Fondo negro */
  color: #fff;
  font-family: "Montserrat", sans-serif;
}

.footer-section p {
  font-size: 1rem;
  line-height: 1.6;
}

.footer-section strong {
  font-weight: 500;
}

.footer-logo {
  max-width: 220px;
  height: auto;
  display: block;
  margin: auto;
  margin-bottom: 50px;
}

.footer-section .text-secondary {
  color: #ccc !important;
}

@media (max-width: 768px) {
  .footer-section p {
    font-size: 0.95rem;
  }
}
